import premierlibrary from 'libpremierlibrary.so';
import { ErrorInfo } from '../player/bean/ErrorInfo';
import { findErrorCodeByValue, PlayerErrorCode } from '../player/bean/PlayerErrorCode';
export const OLD_CODE_EADDED = -300;
export const OLD_CODE_ENOT_ENABLE = -301;
export class MediaLoader {
    static getInstance() {
        if (MediaLoader.sInstance == undefined) {
            MediaLoader.sInstance = new MediaLoader();
        }
        return MediaLoader.sInstance;
    }
    constructor() {
        this.onError = (y4, z4, a5) => {
            console.log('medialoader onError called, url: ' + y4 + " code: " + z4 + " msg " + a5);
            if (this.mOnLoadStatusListener != null) {
                this.mOnLoadStatusListener.onError(y4, z4, a5);
            }
            if (z4 != OLD_CODE_EADDED) {
                MediaLoader.getInstance().cancel(y4);
            }
        };
        this.onErrorV2 = (t4, u4, v4) => {
            console.log('medialoader onErrorV2 called, url: ' + t4 + " code: " + u4 + " msg " + v4);
            if (this.mOnLoadStatusListener != null) {
                let w4 = findErrorCodeByValue(u4);
                let x4 = new ErrorInfo();
                x4.setCode(w4);
                x4.setMsg(v4);
                this.mOnLoadStatusListener.onErrorV2(t4, x4);
            }
            if (u4 != PlayerErrorCode.MEDIALOADER_ERROR_ADDED) {
                MediaLoader.getInstance().cancel(t4);
            }
        };
        this.onCompleted = (s4) => {
            console.log('medialoader onCompleted called, url: ' + s4);
            if (this.mOnLoadStatusListener) {
                this.mOnLoadStatusListener.onCompleted(s4);
            }
        };
        this.onCanceled = (r4) => {
            console.log('medialoader onCanceled called, url: ' + r4);
            if (this.mOnLoadStatusListener) {
                this.mOnLoadStatusListener.onCancel(r4);
            }
        };
        premierlibrary.nMediaLoaderConstruct(this);
    }
    setOnLoadStatusListener(m4) {
        MediaLoader.getInstance().mOnLoadStatusListener = m4;
    }
    load(k4, l4) {
        premierlibrary.nMediaLoaderLoad(k4, l4);
    }
    loadWithBandWidth(h4, i4, j4) {
        premierlibrary.nMediaLoaderLoadWithBandWidth(h4, i4, j4);
    }
    cancel(g4) {
        if (g4 == undefined) {
            premierlibrary.nMediaLoaderCancelAll();
        }
        else {
            premierlibrary.nMediaLoaderCancel(g4);
        }
    }
    pause(f4) {
        premierlibrary.nMediaLoaderPause(true, f4);
    }
    resume(e4) {
        premierlibrary.nMediaLoaderPause(false, e4);
    }
}
