import premierlibrary from 'libpremierlibrary.so';
import { ObjCreateHelper } from '../utils/ObjCreateHelper';
import { ErrorInfo } from '../player/bean/ErrorInfo';
import { findErrorCodeByValue, PlayerErrorCode } from '../player/bean/PlayerErrorCode';
export class VodMediaLoader {
    constructor() {
        this.objHelper = new ObjCreateHelper();
        this.onPrepared = (h6) => {
            if (this.mOnLoadStatusListener) {
                this.mOnLoadStatusListener.onPrepared(h6);
            }
        };
        this.onError = (d6, e6, f6, g6) => {
            console.log('VodMedialoader onError called, url: ' + d6 + " index " + e6 + " code: " + f6 + " msg " + g6);
            if (this.mOnLoadStatusListener) {
                this.mOnLoadStatusListener.onError(d6, e6, f6, g6);
            }
            if (f6 != PlayerErrorCode.MEDIALOADER_ERROR_ADDED) {
                VodMediaLoader.getInstance().cancel(d6, e6);
            }
        };
        this.onErrorV2 = (x5, y5, z5, a6) => {
            console.log('VodMedialoader onErrorV2 called, url: ' + x5 + " index " + y5 + " code: " + z5 + " msg " + a6);
            if (this.mOnLoadStatusListener != null) {
                let b6 = findErrorCodeByValue(z5);
                let c6 = new ErrorInfo();
                c6.setCode(b6);
                c6.setMsg(a6);
                this.mOnLoadStatusListener.onErrorV2(x5, y5, c6);
            }
            if (z5 != PlayerErrorCode.MEDIALOADER_ERROR_ADDED) {
                VodMediaLoader.getInstance().cancel(x5, y5);
            }
        };
        this.onCompleted = (v5, w5) => {
            if (this.mOnLoadStatusListener) {
                this.mOnLoadStatusListener.onCompleted(v5, w5);
            }
        };
        this.onCanceled = (t5, u5) => {
            if (this.mOnLoadStatusListener) {
                this.mOnLoadStatusListener.onCanceled(t5, u5);
            }
        };
        premierlibrary.nVodMediaLoaderConstruct(this);
    }
    static getInstance() {
        if (!VodMediaLoader.sInstance) {
            VodMediaLoader.sInstance = new VodMediaLoader();
        }
        return VodMediaLoader.sInstance;
    }
    prepareVidStsSource(n5) {
        premierlibrary.nVodMediaLoaderPrepareSts(n5);
    }
    prepareVidAuthSource(m5) {
        premierlibrary.nVodMediaLoaderPrepareAuth(m5);
    }
    removeVidSource(l5) {
        premierlibrary.nVodMediaLoaderRemoveSource(l5);
    }
    load(i5, j5, k5) {
        if (!i5 || j5 < 0) {
            return;
        }
        premierlibrary.nVodMediaLoaderLoad(i5, j5, k5);
    }
    cancel(g5, h5) {
        premierlibrary.nVodMediaLoaderCancel(g5, h5);
    }
    pause(e5, f5) {
        if (!e5 || f5 < 0) {
            return;
        }
        premierlibrary.nVodMediaLoaderPause(true, e5, f5);
    }
    resume(c5, d5) {
        if (!c5 || d5 < 0) {
            return;
        }
        premierlibrary.nVodMediaLoaderPause(false, c5, d5);
    }
    setOnLoadStatusListener(b5) {
        this.mOnLoadStatusListener = b5;
    }
}
