import { Log } from '../utils/Log';
const log = new Log('AVPBase');
const preparedListenerMap = new WeakMap();
const onInfoListenerMap = new WeakMap();
const onRenderingStartListenerMap = new WeakMap();
const onStateChangedListenerMap = new WeakMap();
const onCompletionListenerMap = new WeakMap();
const onLoadingStatusListenerMap = new WeakMap();
const onErrorListenerMap = new WeakMap();
const onVideoSizeChangedListenerMap = new WeakMap();
const onSeekCompleteListenerMap = new WeakMap();
const onSubtitleDisplayListenerMap = new WeakMap();
const onVideoRenderedListenerMap = new WeakMap();
const onAudioInterruptEventListenerMap = new WeakMap();
const onTrackReadyListenerMap = new WeakMap();
const onSubTrackReadyListenerMap = new WeakMap();
const onSwichStreamListenerMap = new WeakMap();
const onAVNotSyncStatusListenerMap = new WeakMap();
const onTrackChangedListenerMap = new WeakMap();
const onSnapShotListenerMap = new WeakMap();
const onSeiDataListenerMap = new WeakMap();
export class AVPBase {
    constructor(j16, k16) {
        this.mOutMediaInfo = null;
        this.mOutSubMediaInfo = null;
        this.mOutOnPreparedListener = null;
        this.mInnerOnPreparedListener = new InnerPrepareListener(this);
        this.mOutOnInfoListener = null;
        this.mInnerOnInfoListener = new InnerInfoListener(this);
        this.mOutOnRenderingStartListener = null;
        this.mInnerOnRenderingStartListener = new InnerRenderingStartListener(this);
        this.mOutOnStateChangedListener = null;
        this.mInnerOnStateChangedListener = new InnerStateChangedListener(this);
        this.mOutOnVideoSizeChangedListener = null;
        this.mInnerOnVideoSizeChangedListener = new InnerVideoSizeChangedListener(this);
        this.mOutOnLoadingStatusListener = null;
        this.mInnerOnLoadingStatusListener = new InnerLoadingStatusListener(this);
        this.mOutOnSeekCompleteListener = null;
        this.mInnerOnSeekCompleteListener = new InnerSeekCompleteListener(this);
        this.mOutOnCompletionListener = null;
        this.mInnerOnCompletionListener = new InnerCompletionListener(this);
        this.mOutOnVideoRenderedListener = null;
        this.mInnerOnVideoRenderedListener = new InnerVideoRenderedListener(this);
        this.mOutOnSubtitleDisplayListener = null;
        this.mInnerOnSubtitleDisplayListener = new InnerSubtitleDisplayListener(this);
        this.mOutOnErrorListener = null;
        this.mInnerOnErrorListener = new InnerErrorListener(this);
        this.mOutOnAudioInterruptEventListener = null;
        this.mInnerOnAudioInterruptEventListener = new InnerAudioInterruptEventListener(this);
        this.mOutOnTrackReadyListener = null;
        this.mInnerOnTrackReadyListener = new InnerTrackReadyListener(this);
        this.mOutOnSubTrackReadyListener = null;
        this.mInnerOnSubTrackReadyListener = new InnerSubTrackReadyListener(this);
        this.mOutOnStreamSwitchedListener = null;
        this.mInnerOnStreamSwitchedListener = new InnerStreamSwitchedListener(this);
        this.mOutOnAVNotSyncStatusListener = null;
        this.mInnerOnAVNotSyncStatusListener = new InnerOnAVNotSyncStatusListener(this);
        this.mOutOnTrackChangedListener = null;
        this.mInnerOnTrackChangedListener = new InnerTrackChangedListener(this);
        this.mOutOnSnapShotListener = null;
        this.mInnerOnSnapShotListener = new InnerSnapShotListener(this);
        this.mOutOnSeiDataListener = null;
        this.mInnerOnSeiDataListener = new InnerSeiDataListener(this);
        this.mContext = j16;
        this.mTraceId = k16;
        this.mCorePlayer = this.createAlivcMediaPlayer(j16);
        this.mCorePlayer.setTraceId(this.mTraceId);
        preparedListenerMap.set(this, this.mInnerOnPreparedListener);
        onInfoListenerMap.set(this, this.mInnerOnInfoListener);
        onRenderingStartListenerMap.set(this, this.mInnerOnRenderingStartListener);
        onStateChangedListenerMap.set(this, this.mInnerOnStateChangedListener);
        onCompletionListenerMap.set(this, this.mInnerOnCompletionListener);
        onLoadingStatusListenerMap.set(this, this.mInnerOnLoadingStatusListener);
        onErrorListenerMap.set(this, this.mInnerOnErrorListener);
        onVideoSizeChangedListenerMap.set(this, this.mInnerOnVideoSizeChangedListener);
        onSeekCompleteListenerMap.set(this, this.mInnerOnSeekCompleteListener);
        onSubtitleDisplayListenerMap.set(this, this.mInnerOnSubtitleDisplayListener);
        onVideoRenderedListenerMap.set(this, this.mInnerOnVideoRenderedListener);
        onAudioInterruptEventListenerMap.set(this, this.mInnerOnAudioInterruptEventListener);
        onTrackReadyListenerMap.set(this, this.mInnerOnTrackReadyListener);
        onSubTrackReadyListenerMap.set(this, this.mInnerOnSubTrackReadyListener);
        onSwichStreamListenerMap.set(this, this.mInnerOnStreamSwitchedListener);
        onAVNotSyncStatusListenerMap.set(this, this.mInnerOnAVNotSyncStatusListener);
        onTrackChangedListenerMap.set(this, this.mInnerOnTrackChangedListener);
        onSnapShotListenerMap.set(this, this.mInnerOnSnapShotListener);
        onSeiDataListenerMap.set(this, this.mInnerOnSeiDataListener);
        this.bindListener();
    }
    getNativeContextAddr() {
        return this.mCorePlayer?.getNativeContextAddr();
    }
    prepare() {
        this.prepareInner();
    }
    prepareInner() {
        this.mCorePlayer?.prepare();
    }
    getCorePlayer() {
        return this.mCorePlayer;
    }
    start() {
        this.startInner();
    }
    startInner() {
        this.mCorePlayer?.start();
    }
    pause() {
        this.pauseInner();
    }
    pauseInner() {
        this.mCorePlayer?.pause();
    }
    stop() {
        this.stopInner();
    }
    stopInner() {
        this.mCorePlayer?.stop();
    }
    setAutoPlay(i16) {
        this.mCorePlayer?.setAutoPlay(i16);
    }
    setSurfaceId(h16) {
        this.mCorePlayer?.setSurfaceId(h16);
    }
    setSpeed(g16) {
        this.mCorePlayer?.setSpeed(g16);
    }
    setVolume(f16) {
        this.mCorePlayer?.setVolume(f16);
    }
    getVolume() {
        return this.mCorePlayer?.getVolume();
    }
    seekTo(d16, e16) {
        this.mCorePlayer?.seekTo(d16, e16);
    }
    setStartTime(b16, c16) {
        this.mCorePlayer?.setStartTime(b16, c16);
    }
    getDuration() {
        return this.mCorePlayer?.getDuration();
    }
    getPlayedDuration() {
        return this.mCorePlayer?.getPlayedDuration();
    }
    getCurrentPosition() {
        return this.mCorePlayer?.getCurrentPosition();
    }
    getBufferedPosition() {
        return this.mCorePlayer?.getBufferedPosition();
    }
    getPlayerStatus() {
        return this.mCorePlayer?.getPlayerStatus();
    }
    enableHardwareDecoder(a16) {
        this.mCorePlayer?.enableHardwareDecoder(a16);
    }
    release() {
        this.mCorePlayer?.release();
    }
    releaseAsync() {
        log.info('releaseAsync');
        this.pause();
        setTimeout(() => {
            this.stop();
            this.release();
        }, 0);
    }
    setMute(y15) {
        this.mCorePlayer?.setMute(y15);
    }
    isMuted() {
        return this.mCorePlayer?.isMuted();
    }
    setScaleMode(x15) {
        this.mCorePlayer?.setScaleMode(x15);
    }
    getScaleMode() {
        return this.mCorePlayer?.getScaleMode();
    }
    setLoop(w15) {
        this.mCorePlayer?.setLoop(w15);
    }
    isLoop() {
        return this.mCorePlayer?.isLoop();
    }
    getVideoWidth() {
        return this.mCorePlayer?.getVideoWidth();
    }
    getVideoHeight() {
        return this.mCorePlayer?.getVideoHeight();
    }
    getVideoRotation() {
        return this.mCorePlayer?.getVideoRotation();
    }
    reload() {
        this.mCorePlayer?.reload();
    }
    setRotateMode(v15) {
        this.mCorePlayer?.setRotateMode(v15);
    }
    getRotateMode() {
        return this.mCorePlayer?.getRotateMode();
    }
    setMirrorMode(u15) {
        this.mCorePlayer?.setMirrorMode(u15);
    }
    getMirrorMode() {
        return this.mCorePlayer?.getMirrorMode();
    }
    setAlphaRenderMode(t15) {
        this.mCorePlayer?.setAlphaRenderMode(t15);
    }
    getAlphaRenderMode() {
        return this.mCorePlayer?.getAlphaRenderMode();
    }
    setVideoBackgroundColor(s15) {
        this.mCorePlayer?.setVideoBackgroundColor(s15);
    }
    getSpeed() {
        return this.mCorePlayer?.getSpeed();
    }
    isAutoPlay() {
        return this.mCorePlayer?.isAutoPlay();
    }
    setConfig(r15) {
        this.mCorePlayer?.setConfig(r15);
    }
    getConfig() {
        return this.mCorePlayer?.getConfig();
    }
    setOption(o15, p15) {
        let q15 = "player_option_" + o15 + "_str";
        this.mCorePlayer?.setOption(q15, p15);
    }
    setOptionNum(l15, m15) {
        let n15 = "player_option_" + l15.toString() + "_str";
        this.mCorePlayer?.setOption(n15, m15.toString());
    }
    getOption(k15) {
        return this.mCorePlayer?.getOption(k15);
    }
    selectTrack(j15) {
        this.mCorePlayer?.selectTrack(j15);
    }
    switchStream(i15) {
        this.mCorePlayer?.switchStream(i15);
    }
    getMediaInfo() {
        return this.mOutMediaInfo;
    }
    getSubMediaInfo() {
        return this.mOutSubMediaInfo;
    }
    currentTrack(h15) {
        if (this.mCorePlayer) {
            return this.mCorePlayer.getCurrentTrack(h15);
        }
        else {
            return null;
        }
    }
    addExtSubtitle(g15) {
        this.mCorePlayer?.addExtSubtitle(g15);
    }
    ;
    selectExtSubtitle(e15, f15) {
        this.mCorePlayer?.selectExtSubtitle(e15, f15);
    }
    setStreamDelay(c15, d15) {
        this.mCorePlayer?.setStreamDelay(c15, d15);
    }
    setMaxAccurateSeekDelta(b15) {
        this.mCorePlayer?.setMaxAccurateSeekDelta(b15);
    }
    setCacheConfig(a15) {
        this.mCorePlayer?.setCacheConfig(a15);
    }
    setIPResolveType(z14) {
        this.mCorePlayer?.setIPResolveType(z14);
    }
    setFastStart(y14) {
        this.mCorePlayer?.setFastStart(y14);
    }
    snapShot() {
        this.mCorePlayer?.snapShot();
    }
    clearScreen() {
        this.mCorePlayer?.clearScreen();
    }
    getCacheFilePathByUrl(x14) {
        return this.mCorePlayer?.getCacheFilePathByUrl(x14) ?? '';
    }
    getCacheFilePathByVid(t14, u14, v14, w14) {
        return this.mCorePlayer?.getCacheFilePathByVid(t14, u14, v14, w14) ?? '';
    }
    getPropertyString(s14) {
        return this.mCorePlayer?.getPropertyString(s14) ?? '';
    }
    setDefaultBandWidth(r14) {
        this.mCorePlayer?.setDefaultBandWidth(r14);
    }
    sendCustomEvent(q14) {
        this.mCorePlayer?.sendCustomEvent(q14);
    }
    setVideoTag(p14) {
        this.mCorePlayer?.setVideoTag(p14);
    }
    setUserData(o14) {
        this.mCorePlayer?.setUserData(o14);
    }
    setTraceId(n14) {
        this.mCorePlayer?.setTraceId(n14);
    }
    getUserData() {
        return this.mCorePlayer?.getUserData() ?? '';
    }
    bindListener() {
        this.mCorePlayer?.setOnPreparedListener(this.mInnerOnPreparedListener);
        this.mCorePlayer?.setOnInfoListener(this.mInnerOnInfoListener);
        this.mCorePlayer?.setOnRenderingStartListener(this.mInnerOnRenderingStartListener);
        this.mCorePlayer?.setOnStateChangedListener(this.mInnerOnStateChangedListener);
        this.mCorePlayer?.setOnVideoSizeChangedListener(this.mInnerOnVideoSizeChangedListener);
        this.mCorePlayer?.setOnLoadingStatusListener(this.mInnerOnLoadingStatusListener);
        this.mCorePlayer?.setOnSeekCompleteListener(this.mInnerOnSeekCompleteListener);
        this.mCorePlayer?.setOnCompletionListener(this.mInnerOnCompletionListener);
        this.mCorePlayer?.setOnVideoRenderedListener(this.mInnerOnVideoRenderedListener);
        this.mCorePlayer?.setOnSubtitleDisplayListener(this.mInnerOnSubtitleDisplayListener);
        this.mCorePlayer?.setOnErrorListener(this.mInnerOnErrorListener);
        this.mCorePlayer?.setOnAudioInterruptEventListener(this.mInnerOnAudioInterruptEventListener);
        this.mCorePlayer?.setOnTrackReadyListener(this.mInnerOnTrackReadyListener);
        this.mCorePlayer?.setOnSubTrackReadyListener(this.mInnerOnSubTrackReadyListener);
        this.mCorePlayer?.setOnStreamSwitchedListener(this.mInnerOnStreamSwitchedListener);
        this.mCorePlayer?.setOnAVNotSyncStatusListener(this.mInnerOnAVNotSyncStatusListener);
        this.mCorePlayer?.setOnTrackChangedListener(this.mInnerOnTrackChangedListener);
        this.mCorePlayer?.setOnSnapShotListener(this.mInnerOnSnapShotListener);
        this.mCorePlayer?.setOnSeiDataListener(this.mInnerOnSeiDataListener);
    }
    setOnPreparedListener(m14) {
        this.mOutOnPreparedListener = m14;
    }
    setOnInfoListener(l14) {
        this.mOutOnInfoListener = l14;
    }
    setOnRenderingStartListener(k14) {
        this.mOutOnRenderingStartListener = k14;
    }
    setOnStateChangedListener(j14) {
        this.mOutOnStateChangedListener = j14;
    }
    setOnCompletionListener(i14) {
        this.mOutOnCompletionListener = i14;
    }
    setOnAVNotSyncStatusListener(h14) {
        this.mOutOnAVNotSyncStatusListener = h14;
    }
    setOnStreamSwitchedListener(g14) {
        this.mOutOnStreamSwitchedListener = g14;
    }
    setOnLoadingStatusListener(f14) {
        this.mOutOnLoadingStatusListener = f14;
    }
    setOnErrorListener(e14) {
        this.mOutOnErrorListener = e14;
    }
    setOnVideoSizeChangedListener(d14) {
        this.mOutOnVideoSizeChangedListener = d14;
    }
    setOnSeekCompleteListener(c14) {
        this.mOutOnSeekCompleteListener = c14;
    }
    setOnSubtitleDisplayListener(b14) {
        this.mOutOnSubtitleDisplayListener = b14;
    }
    setOnVideoRenderedListener(a14) {
        this.mOutOnVideoRenderedListener = a14;
    }
    setOnAudioInterruptEventListener(z13) {
        this.mOutOnAudioInterruptEventListener = z13;
    }
    setOnTrackReadyListener(y13) {
        this.mOutOnTrackReadyListener = y13;
    }
    setOnSubTrackReadyListener(x13) {
        this.mOutOnSubTrackReadyListener = x13;
    }
    setOnTrackChangedListener(w13) {
        this.mOutOnTrackChangedListener = w13;
    }
    setOnSnapShotListener(v13) {
        this.mOutOnSnapShotListener = v13;
    }
    setOnSeiDataListener(u13) {
        this.mOutOnSeiDataListener = u13;
    }
    onPrepared() {
        if (this.mOutOnPreparedListener != null) {
            this.mOutOnPreparedListener.onPrepared();
        }
    }
    onInfo(t13) {
        if (this.mOutOnInfoListener != null) {
            this.mOutOnInfoListener.onInfo(t13);
        }
    }
    onRenderingStart() {
        if (this.mOutOnRenderingStartListener != null) {
            this.mOutOnRenderingStartListener.onRenderingStart();
        }
    }
    onStateChanged(s13) {
        if (this.mOutOnStateChangedListener != null) {
            this.mOutOnStateChangedListener.onStateChanged(s13);
        }
    }
    onVideoSizeChanged(q13, r13) {
        if (this.mOutOnVideoSizeChangedListener != null) {
            this.mOutOnVideoSizeChangedListener.onVideoSizeChanged(q13, r13);
        }
    }
    onLoadingBegin() {
        if (this.mOutOnLoadingStatusListener != null) {
            this.mOutOnLoadingStatusListener.onLoadingBegin();
        }
    }
    onLoadingProgress(o13, p13) {
        if (this.mOutOnLoadingStatusListener != null) {
            this.mOutOnLoadingStatusListener.onLoadingProgress(o13, p13);
        }
    }
    onLoadingEnd() {
        if (this.mOutOnLoadingStatusListener != null) {
            this.mOutOnLoadingStatusListener.onLoadingEnd();
        }
    }
    onSeekEnd() {
        if (this.mOutOnSeekCompleteListener != null) {
            this.mOutOnSeekCompleteListener.onSeekComplete();
        }
    }
    onCompletion() {
        if (this.mOutOnCompletionListener != null) {
            this.mOutOnCompletionListener.onCompletion();
        }
    }
    onVideoRendered(m13, n13) {
        if (this.mOutOnVideoRenderedListener != null) {
            this.mOutOnVideoRenderedListener.onVideoRendered(m13, n13);
        }
    }
    onSubtitleShow(j13, k13, l13) {
        if (this.mOutOnSubtitleDisplayListener != null) {
            this.mOutOnSubtitleDisplayListener.onSubtitleShow(j13, k13, l13);
        }
    }
    onSubtitleExtAdded(h13, i13) {
        if (this.mOutOnSubtitleDisplayListener != null) {
            this.mOutOnSubtitleDisplayListener.onSubtitleExtAdded(h13, i13);
        }
    }
    onSubtitleHide(f13, g13) {
        if (this.mOutOnSubtitleDisplayListener != null) {
            this.mOutOnSubtitleDisplayListener.onSubtitleHide(f13, g13);
        }
    }
    onSubtitleHeader(d13, e13) {
        if (this.mOutOnSubtitleDisplayListener != null) {
            this.mOutOnSubtitleDisplayListener.onSubtitleHeader(d13, e13);
        }
    }
    onError(c13) {
        if (this.mOutOnErrorListener != null) {
            this.mOutOnErrorListener.onError(c13);
        }
    }
    onAudioInterruptEvent(b13) {
        if (this.mOutOnAudioInterruptEventListener != null) {
            this.mOutOnAudioInterruptEventListener.onAudioInterruptEvent(b13);
        }
    }
    onTrackReady(a13) {
        this.mOutMediaInfo = a13;
        if (this.mOutOnTrackReadyListener != null) {
            this.mOutOnTrackReadyListener.onTrackReady(a13);
        }
    }
    onSubTrackReady(z12) {
        this.mOutSubMediaInfo = z12;
        if (this.mOutOnSubTrackReadyListener != null) {
            this.mOutOnSubTrackReadyListener.onSubTrackReady(z12);
        }
    }
    onSwitchedSuccess(y12) {
        if (this.mOutOnStreamSwitchedListener != null) {
            this.mOutOnStreamSwitchedListener.onSwitchedSuccess(y12);
        }
    }
    onSwitchedFail(w12, x12) {
        if (this.mOutOnStreamSwitchedListener != null) {
            this.mOutOnStreamSwitchedListener.onSwitchedFail(w12, x12);
        }
    }
    onAVNotSyncStart(v12) {
        if (this.mOutOnAVNotSyncStatusListener != null) {
            this.mOutOnAVNotSyncStatusListener.onAVNotSyncStart(v12);
        }
    }
    onAVNotSyncEnd() {
        if (this.mOutOnAVNotSyncStatusListener != null) {
            this.mOutOnAVNotSyncStatusListener.onAVNotSyncEnd();
        }
    }
    onChangedSuccess(u12) {
        if (this.mOutOnTrackChangedListener != null) {
            this.mOutOnTrackChangedListener.onChangedSuccess(u12);
        }
    }
    onSnapShot(r12, s12, t12) {
        if (this.mOutOnSnapShotListener != null) {
            this.mOutOnSnapShotListener.onSnapShot(r12, s12, t12);
        }
    }
    onSeiData(p12, q12) {
        if (this.mOutOnSeiDataListener != null) {
            this.mOutOnSeiDataListener.onSeiData(p12, q12);
        }
    }
}
class InnerPrepareListener {
    constructor(o12) {
        this.avbBaseWR = o12;
    }
    onPrepared() {
        if (this.avbBaseWR != null) {
            this.avbBaseWR.onPrepared();
        }
    }
}
class InnerInfoListener {
    constructor(n12) {
        this.avpBaseRef = n12;
    }
    onInfo(m12) {
        if (this.avpBaseRef != null) {
            this.avpBaseRef.onInfo(m12);
        }
    }
}
class InnerRenderingStartListener {
    constructor(l12) {
        this.avpBaseRef = l12;
    }
    onRenderingStart() {
        if (this.avpBaseRef != null) {
            this.avpBaseRef.onRenderingStart();
        }
    }
}
class InnerStateChangedListener {
    constructor(k12) {
        this.avpBaseRef = k12;
    }
    onStateChanged(j12) {
        this.avpBaseRef.onStateChanged(j12);
    }
}
class InnerVideoSizeChangedListener {
    constructor(i12) {
        this.avpBaseRef = i12;
    }
    onVideoSizeChanged(g12, h12) {
        this.avpBaseRef.onVideoSizeChanged(g12, h12);
    }
}
class InnerLoadingStatusListener {
    constructor(f12) {
        this.avpBaseRef = f12;
    }
    onLoadingBegin() {
        this.avpBaseRef.onLoadingBegin();
    }
    onLoadingProgress(d12, e12) {
        this.avpBaseRef.onLoadingProgress(d12, e12);
    }
    onLoadingEnd() {
        this.avpBaseRef.onLoadingEnd();
    }
}
class InnerSeekCompleteListener {
    constructor(c12) {
        this.avpBaseRef = c12;
    }
    onSeekComplete() {
        this.avpBaseRef.onSeekEnd();
    }
}
class InnerCompletionListener {
    constructor(b12) {
        this.avpBaseRef = b12;
    }
    onCompletion() {
        this.avpBaseRef.onCompletion();
    }
}
class InnerVideoRenderedListener {
    constructor(a12) {
        this.avpBaseRef = a12;
    }
    onVideoRendered(y11, z11) {
        this.avpBaseRef.onVideoRendered(y11, z11);
    }
}
class InnerSubtitleDisplayListener {
    constructor(x11) {
        this.avpBaseRef = x11;
    }
    onSubtitleShow(u11, v11, w11) {
        this.avpBaseRef.onSubtitleShow(u11, v11, w11);
    }
    onSubtitleExtAdded(s11, t11) {
        this.avpBaseRef.onSubtitleExtAdded(s11, t11);
    }
    onSubtitleHide(q11, r11) {
        this.avpBaseRef.onSubtitleHide(q11, r11);
    }
    onSubtitleHeader(o11, p11) {
        this.avpBaseRef.onSubtitleHeader(o11, p11);
    }
}
class InnerErrorListener {
    constructor(n11) {
        this.avpBaseRef = n11;
    }
    onError(m11) {
        this.avpBaseRef.onError(m11);
    }
}
class InnerAudioInterruptEventListener {
    constructor(l11) {
        this.avpBaseRef = l11;
    }
    onAudioInterruptEvent(k11) {
        this.avpBaseRef.onAudioInterruptEvent(k11);
    }
}
class InnerTrackReadyListener {
    constructor(j11) {
        this.avpBaseRef = j11;
    }
    onTrackReady(i11) {
        this.avpBaseRef.onTrackReady(i11);
    }
}
class InnerSubTrackReadyListener {
    constructor(h11) {
        this.avpBaseRef = h11;
    }
    onSubTrackReady(g11) {
        this.avpBaseRef.onSubTrackReady(g11);
    }
}
class InnerStreamSwitchedListener {
    constructor(f11) {
        this.avpBaseRef = f11;
    }
    onSwitchedSuccess(e11) {
        this.avpBaseRef.onSwitchedSuccess(e11);
    }
    onSwitchedFail(c11, d11) {
        this.avpBaseRef.onSwitchedFail(c11, d11);
    }
}
class InnerOnAVNotSyncStatusListener {
    constructor(b11) {
        this.avpBaseRef = b11;
    }
    onAVNotSyncStart(a11) {
        this.avpBaseRef.onAVNotSyncStart(a11);
    }
    onAVNotSyncEnd() {
        this.avpBaseRef.onAVNotSyncEnd();
    }
}
class InnerTrackChangedListener {
    constructor(z10) {
        this.avpBaseRef = z10;
    }
    onChangedSuccess(y10) {
        this.avpBaseRef.onChangedSuccess(y10);
    }
}
class InnerSnapShotListener {
    constructor(x10) {
        this.avpBaseRef = x10;
    }
    onSnapShot(u10, v10, w10) {
        this.avpBaseRef.onSnapShot(u10, v10, w10);
    }
}
class InnerSeiDataListener {
    constructor(t10) {
        this.avpBaseRef = t10;
    }
    onSeiData(r10, s10) {
        this.avpBaseRef.onSeiData(r10, s10);
    }
}
