export class AVPLBase {
    constructor(k19, l19) {
        this.mNativePlayer = this.getNativePlayerWithContext(k19, l19);
        this.mPreRenderPlayer = this.getPrerenderPlayerWithContext(k19, l19);
        this.mListPlayer = this.createListPlayer(k19, l19, this.mNativePlayer.getNativeContextAddr(), this.mPreRenderPlayer.getNativeContextAddr());
    }
    getCurrentPlayer() {
        let j19 = this.getCurrentPlayerIndex();
        if (j19 == 1) {
            return this.mPreRenderPlayer;
        }
        else {
            return this.mNativePlayer;
        }
    }
    getCurrentPrerenderPlayer(i19) {
        if (i19 == 0) {
            return this.mNativePlayer;
        }
        else if (i19 == 1) {
            return this.mPreRenderPlayer;
        }
        return undefined;
    }
    getCorePlayer() {
        return this.mListPlayer;
    }
    getNativePlayer() {
        return this.mNativePlayer;
    }
    getPrerenderPlayer() {
        return this.mPreRenderPlayer;
    }
    removeSource(h19) {
        this.mListPlayer?.removeSource(h19);
    }
    clear() {
        this.mListPlayer?.clear();
    }
    getCurrentUid() {
        return this.mListPlayer?.getCurrentUid();
    }
    setMaxPreloadMemorySizeMB(g19) {
        this.mListPlayer?.setMaxPreloadMemorySizeMB(g19);
    }
    getMaxPreloadMemorySizeMB() {
        return this.mListPlayer?.getMaxPreloadMemorySizeMB();
    }
    SetMultiBitratesMode(f19) {
        this.mListPlayer?.SetMultiBitratesMode(f19);
    }
    GetMultiBitratesMode() {
        return this.mListPlayer?.GetMultiBitratesMode();
    }
    setPreloadCount(e19) {
        this.mListPlayer?.setPreloadCount(e19);
    }
    setPreloadScene(d19) {
        this.mListPlayer?.setPreloadScene(d19);
    }
    enablePreloadStrategy(b19, c19) {
        this.mListPlayer?.enablePreloadStrategy(b19, c19);
    }
    setPreloadStrategy(z18, a19) {
        this.mListPlayer?.setPreloadStrategyParam(z18, a19);
    }
    setPreloadCountWithPrevAndNext(x18, y18) {
        this.mListPlayer?.setPreloadCountWithPrevAndNext(x18, y18);
    }
    getNativeContextAddr() {
        return this.getCurrentPlayer()?.getNativeContextAddr();
    }
    prepare() {
        this.getCurrentPlayer().prepare();
    }
    start() {
        this.getCurrentPlayer()?.start();
    }
    pause() {
        this.getCurrentPlayer().pause();
    }
    stop() {
        this.getCurrentPlayer().stop();
    }
    setAutoPlay(w18) {
        this.getCurrentPlayer().setAutoPlay(w18);
    }
    setSurfaceId(v18) {
        this.getCurrentPlayer().setSurfaceId(v18);
    }
    setSpeed(u18) {
        this.getCurrentPlayer().setSpeed(u18);
    }
    setVolume(t18) {
        this.getCurrentPlayer().setVolume(t18);
    }
    getVolume() {
        return this.getCurrentPlayer().getVolume();
    }
    seekTo(r18, s18) {
        this.getCurrentPlayer().seekTo(r18, s18);
    }
    setStartTime(p18, q18) {
        this.getCurrentPlayer().setStartTime(p18, q18);
    }
    getDuration() {
        return this.getCurrentPlayer().getDuration();
    }
    getPlayedDuration() {
        return this.getCurrentPlayer().getPlayedDuration();
    }
    getCurrentPosition() {
        return this.getCurrentPlayer().getCurrentPosition();
    }
    getBufferedPosition() {
        return this.getCurrentPlayer().getBufferedPosition();
    }
    getPlayerStatus() {
        return this.getCurrentPlayer().getPlayerStatus();
    }
    enableHardwareDecoder(o18) {
        this.getCurrentPlayer().enableHardwareDecoder(o18);
    }
    release() {
        this.mListPlayer?.release();
        this.mNativePlayer?.release();
        this.mPreRenderPlayer?.release();
    }
    releaseAsync() {
        this.release();
    }
    setMute(n18) {
        this.getCurrentPlayer().setMute(n18);
    }
    isMuted() {
        return this.getCurrentPlayer().isMuted();
    }
    setScaleMode(m18) {
        this.getCurrentPlayer().setScaleMode(m18);
    }
    getScaleMode() {
        return this.getCurrentPlayer().getScaleMode();
    }
    setLoop(l18) {
        this.getCurrentPlayer().setLoop(l18);
    }
    isLoop() {
        return this.getCurrentPlayer().isLoop();
    }
    getVideoWidth() {
        return this.getCurrentPlayer().getVideoWidth();
    }
    getVideoHeight() {
        return this.getCurrentPlayer().getVideoHeight();
    }
    getVideoRotation() {
        return this.getCurrentPlayer().getVideoRotation();
    }
    reload() {
        this.getCurrentPlayer().reload();
    }
    setRotateMode(k18) {
        this.getCurrentPlayer().setRotateMode(k18);
    }
    getRotateMode() {
        return this.getCurrentPlayer().getRotateMode();
    }
    setMirrorMode(j18) {
        this.getCurrentPlayer().setMirrorMode(j18);
    }
    getMirrorMode() {
        return this.getCurrentPlayer().getMirrorMode();
    }
    setAlphaRenderMode(i18) {
        this.getCurrentPlayer().setAlphaRenderMode(i18);
    }
    getAlphaRenderMode() {
        return this.getCurrentPlayer().getAlphaRenderMode();
    }
    setVideoBackgroundColor(h18) {
        this.getCurrentPlayer().setVideoBackgroundColor(h18);
    }
    getSpeed() {
        return this.getCurrentPlayer().getSpeed();
    }
    isAutoPlay() {
        return this.getCurrentPlayer().isAutoPlay();
    }
    setConfig(g18) {
        if (this.mNativePlayer != null) {
            this.mNativePlayer.setConfig(g18);
        }
        if (this.mPreRenderPlayer != null) {
            this.mPreRenderPlayer.setConfig(g18);
        }
    }
    getConfig() {
        return this.getCurrentPlayer().getConfig();
    }
    setOption(e18, f18) {
        this.getCurrentPlayer().setOption(e18, f18);
    }
    setOptionNum(c18, d18) {
        this.getCurrentPlayer().setOptionNum(c18, d18);
    }
    getOption(b18) {
        return this.getCurrentPlayer().getOption(b18);
    }
    selectTrack(a18) {
        this.getCurrentPlayer()?.selectTrack(a18);
    }
    switchStream(z17) {
        this.getCurrentPlayer()?.switchStream(z17);
    }
    getMediaInfo() {
        return this.getCurrentPlayer()?.getMediaInfo();
    }
    getSubMediaInfo() {
        return this.getCurrentPlayer()?.getSubMediaInfo();
    }
    currentTrack(y17) {
        return this.getCurrentPlayer()?.currentTrack(y17);
    }
    addExtSubtitle(x17) {
        this.getCurrentPlayer()?.addExtSubtitle(x17);
    }
    selectExtSubtitle(v17, w17) {
        this.getCurrentPlayer()?.selectExtSubtitle(v17, w17);
    }
    setStreamDelay(t17, u17) {
        this.getCurrentPlayer()?.setStreamDelay(t17, u17);
    }
    setMaxAccurateSeekDelta(s17) {
        this.getCurrentPlayer()?.setMaxAccurateSeekDelta(s17);
    }
    setCacheConfig(r17) {
        this.getCurrentPlayer()?.setCacheConfig(r17);
    }
    setIPResolveType(q17) {
        this.getCurrentPlayer()?.setIPResolveType(q17);
    }
    setFastStart(p17) {
        this.getCurrentPlayer()?.setFastStart(p17);
    }
    snapShot() {
        this.getCurrentPlayer()?.snapShot();
    }
    clearScreen() {
        this.getCurrentPlayer()?.clearScreen();
    }
    getCacheFilePathByUrl(o17) {
        return this.getCurrentPlayer()?.getCacheFilePathByUrl(o17) || '';
    }
    getCacheFilePathByVid(k17, l17, m17, n17) {
        return this.getCurrentPlayer()?.getCacheFilePathByVid(k17, l17, m17, n17) || '';
    }
    getPropertyString(j17) {
        return this.getCurrentPlayer()?.getPropertyString(j17) || '';
    }
    setDefaultBandWidth(i17) {
        this.getCurrentPlayer()?.setDefaultBandWidth(i17);
    }
    sendCustomEvent(h17) {
        this.getCurrentPlayer()?.sendCustomEvent(h17);
    }
    setVideoTag(g17) {
        this.getCurrentPlayer()?.setVideoTag(g17);
    }
    setUserData(f17) {
        this.getCurrentPlayer()?.setUserData(f17);
    }
    setTraceId(e17) {
        this.getCurrentPlayer()?.setTraceId(e17);
    }
    getUserData() {
        return this.getCurrentPlayer()?.getUserData() || '';
    }
    setOnPreparedListener(d17) {
        this.getCurrentPlayer().setOnPreparedListener(d17);
    }
    setOnInfoListener(c17) {
        this.getCurrentPlayer().setOnInfoListener(c17);
    }
    setOnRenderingStartListener(b17) {
        this.getCurrentPlayer().setOnRenderingStartListener(b17);
    }
    setOnStateChangedListener(a17) {
        this.getCurrentPlayer().setOnStateChangedListener(a17);
    }
    setOnCompletionListener(z16) {
        this.getCurrentPlayer().setOnCompletionListener(z16);
    }
    setOnLoadingStatusListener(y16) {
        this.getCurrentPlayer().setOnLoadingStatusListener(y16);
    }
    setOnAVNotSyncStatusListener(x16) {
        this.getCurrentPlayer()?.setOnAVNotSyncStatusListener(x16);
    }
    setOnErrorListener(w16) {
        this.getCurrentPlayer().setOnErrorListener(w16);
    }
    setOnVideoSizeChangedListener(v16) {
        this.getCurrentPlayer().setOnVideoSizeChangedListener(v16);
    }
    setOnSeekCompleteListener(u16) {
        this.getCurrentPlayer().setOnSeekCompleteListener(u16);
    }
    setOnSubtitleDisplayListener(t16) {
        this.getCurrentPlayer().setOnSubtitleDisplayListener(t16);
    }
    setOnVideoRenderedListener(s16) {
        this.getCurrentPlayer().setOnVideoRenderedListener(s16);
    }
    setOnAudioInterruptEventListener(r16) {
        this.getCurrentPlayer().setOnAudioInterruptEventListener(r16);
    }
    setOnSubTrackReadyListener(q16) {
        this.getCurrentPlayer()?.setOnSubTrackReadyListener(q16);
    }
    setOnTrackReadyListener(p16) {
        this.getCurrentPlayer()?.setOnTrackReadyListener(p16);
    }
    setOnTrackChangedListener(o16) {
        this.getCurrentPlayer()?.setOnTrackChangedListener(o16);
    }
    setOnSnapShotListener(n16) {
        this.getCurrentPlayer()?.setOnSnapShotListener(n16);
    }
    setOnSeiDataListener(m16) {
        this.getCurrentPlayer()?.setOnSeiDataListener(m16);
    }
    setOnStreamSwitchedListener(l16) {
        this.getCurrentPlayer()?.setOnStreamSwitchedListener(l16);
    }
}
