import premierlibrary from 'libpremierlibrary.so';
export class AliPlayerGlobalSettings {
    static getInstance() {
        if (AliPlayerGlobalSettings.sInstance == undefined) {
            AliPlayerGlobalSettings.sInstance = new AliPlayerGlobalSettings();
        }
        return AliPlayerGlobalSettings.sInstance;
    }
    constructor() {
        this.nOnGetUrlHashCallback = (p7) => {
            if (AliPlayerGlobalSettings.sOnGetUrlHashCallback != null) {
                return AliPlayerGlobalSettings.sOnGetUrlHashCallback.getUrlHashCallback(p7);
            }
            else {
                return null;
            }
        };
    }
    static getSdkVersion() {
        return premierlibrary.nGetSdkVersion();
    }
    static setOptionStr(m7, n7) {
        premierlibrary.nSetOptionStr(m7, n7);
    }
    static setOptionNum(k7, l7) {
        premierlibrary.nSetOptionInt(k7, l7);
    }
    static setDNSResolve(i7, j7) {
        premierlibrary.nSetDNSResolve(i7, j7);
    }
    static setUseHttp2(h7) {
        premierlibrary.nSetUseHttp2(h7);
    }
    static setIPResolveType(g7) {
        premierlibrary.nGlobalSettingSetIPResolveType(g7);
    }
    static setAudioStreamType(f7) {
        premierlibrary.nSetAudioStreamType(f7);
    }
    static forceAudioRendingFormat(b7, c7, d7, e7) {
        premierlibrary.nForceAudioRendingFormat(b7, c7, d7, e7);
    }
    static enableLocalCache(y6, z6, a7) {
        return premierlibrary.nEnableLocalCache(y6, z6, a7);
    }
    static setCacheFileClearConfig(v6, w6, x6) {
        premierlibrary.nSetCacheFileClearConfig(v6, w6, x6);
    }
    static clearCaches() {
        premierlibrary.nClearCaches();
    }
    static enableHttpDns(u6) {
        premierlibrary.nEnableHttpDns(u6);
    }
    static enableEnhancedHttpDns(t6) {
        premierlibrary.nEnableEnhancedHttpDns(t6);
    }
    static enableNetworkBalance(s6) {
        premierlibrary.nEnableNetworkBalance(s6);
    }
    static enableBufferToLocalCache(r6) {
        premierlibrary.nEnableBufferToLocalCache(r6);
    }
    static disableCrashUpload(q6) {
        premierlibrary.nDisableCrashUpload(q6);
    }
    static setCacheUrlHashCallback(p6) {
        AliPlayerGlobalSettings.sOnGetUrlHashCallback = p6;
        premierlibrary.nSetCacheUrlHashCallback(AliPlayerGlobalSettings.getInstance(), p6 != null);
    }
}
AliPlayerGlobalSettings.SET_PRE_CONNECT_DOMAIN = 0;
AliPlayerGlobalSettings.SET_DNS_PRIORITY_LOCAL_FIRST = 1;
AliPlayerGlobalSettings.ENABLE_H2_MULTIPLEX = 2;
AliPlayerGlobalSettings.SET_EXTRA_DATA = 3;
AliPlayerGlobalSettings.ENABLE_ANDROID_DECODE_REUSE = 4;
AliPlayerGlobalSettings.NOT_PAUSE_WHEN_PREPARING = 5;
AliPlayerGlobalSettings.ALLOW_RTS_DEGRADE = 6;
AliPlayerGlobalSettings.ENABLE_DECODER_FAST_FIRST_FRAME = 7;
AliPlayerGlobalSettings.SCENE_PLAYER = 0;
AliPlayerGlobalSettings.SCENE_LOADER = 1;
AliPlayerGlobalSettings.CodecType_H265 = 0;
AliPlayerGlobalSettings.sOnGetUrlHashCallback = null;
export var AudioStreamType;
(function (o6) {
    o6[o6["AUDIOSTREAM_USAGE_UNKNOWN"] = 0] = "AUDIOSTREAM_USAGE_UNKNOWN";
    o6[o6["AUDIOSTREAM_USAGE_MUSIC"] = 1] = "AUDIOSTREAM_USAGE_MUSIC";
    o6[o6["AUDIOSTREAM_USAGE_VOICE_COMMUNICATION"] = 2] = "AUDIOSTREAM_USAGE_VOICE_COMMUNICATION";
    o6[o6["AUDIOSTREAM_USAGE_VOICE_ASSISTANT"] = 3] = "AUDIOSTREAM_USAGE_VOICE_ASSISTANT";
    o6[o6["AUDIOSTREAM_USAGE_ALARM"] = 4] = "AUDIOSTREAM_USAGE_ALARM";
    o6[o6["AUDIOSTREAM_USAGE_VOICE_MESSAGE"] = 5] = "AUDIOSTREAM_USAGE_VOICE_MESSAGE";
    o6[o6["AUDIOSTREAM_USAGE_RINGTONE"] = 6] = "AUDIOSTREAM_USAGE_RINGTONE";
    o6[o6["AUDIOSTREAM_USAGE_NOTIFICATION"] = 7] = "AUDIOSTREAM_USAGE_NOTIFICATION";
    o6[o6["AUDIOSTREAM_USAGE_ACCESSIBILITY"] = 8] = "AUDIOSTREAM_USAGE_ACCESSIBILITY";
    o6[o6["AUDIOSTREAM_USAGE_MOVIE"] = 10] = "AUDIOSTREAM_USAGE_MOVIE";
    o6[o6["AUDIOSTREAM_USAGE_GAME"] = 11] = "AUDIOSTREAM_USAGE_GAME";
    o6[o6["AUDIOSTREAM_USAGE_AUDIOBOOK"] = 12] = "AUDIOSTREAM_USAGE_AUDIOBOOK";
    o6[o6["AUDIOSTREAM_USAGE_NAVIGATION"] = 13] = "AUDIOSTREAM_USAGE_NAVIGATION";
    o6[o6["AUDIOSTREAM_USAGE_VIDEO_COMMUNICATION"] = 17] = "AUDIOSTREAM_USAGE_VIDEO_COMMUNICATION";
})(AudioStreamType || (AudioStreamType = {}));
