import { UrlVideoListPlayer } from './UrlVideoListPlayer';
import { Log } from '../utils/Log';
import { ApsaraVideoPlayer } from './ApsaraVideoPlayer';
import { OhosUrlListPlayer } from './nativeclass/OhosUrlListPlayer';
import { LiveSts } from './source/LiveSts';
import { VidSts } from './source/VidSts';
import { VidAuth } from './source/VidAuth';
import { VidMps } from './source/VidMps';
import { StsInfo } from './source/StsInfo';
import { OhosSaasListPlayer } from './nativeclass/OhosSaasListPlayer';
export class ApsaraVideoListPlayer extends UrlVideoListPlayer {
    constructor(z9, a10) {
        super(z9, a10);
        this.mmLog = new Log("NativePlayerBase_ApsaraVideListPlayer");
        this.mSaasVidePlayer = null;
        this.mSaaSPrerenderPlayer = null;
    }
    createListPlayer(v9, w9, x9, y9) {
        return new OhosSaasListPlayer(v9, x9, y9, true);
    }
    getNativePlayerWithContext(t9, u9) {
        if (this.mSaasVidePlayer == null) {
            this.mSaasVidePlayer = new ApsaraVideoPlayer(t9, u9);
        }
        return this.mSaasVidePlayer;
    }
    getPrerenderPlayerWithContext(r9, s9) {
        if (this.mSaaSPrerenderPlayer == null) {
            this.mSaaSPrerenderPlayer = new ApsaraVideoPlayer(r9, s9);
        }
        return this.mSaaSPrerenderPlayer;
    }
    getCurrentPlayerIndex() {
        let q9 = super.getCorePlayer();
        if (q9 instanceof OhosUrlListPlayer) {
            this.mmLog.info("getCurrentPlayerIndex");
            return q9.getCurrentPlayerIndex();
        }
        return 0;
    }
    stop() {
        super.stop();
        let p9 = super.getCorePlayer();
        if (p9 instanceof OhosUrlListPlayer) {
            this.mmLog.info("stop");
            p9.stop();
        }
    }
    getPreRenderPlayer() {
        let n9 = super.getCorePlayer();
        if (n9 instanceof OhosUrlListPlayer) {
            this.mmLog.info("getPreRenderPlayer");
            let o9 = n9.getPreRenderPlayerIndex();
            return this.getCurrentPrerenderPlayer(o9);
        }
        return undefined;
    }
    setVidAuthDataSource(l9) {
        let m9 = super.getCorePlayer();
        if (m9 instanceof ApsaraVideoPlayer) {
            if (l9 instanceof VidAuth) {
                m9.setVidAuthDataSource(l9);
            }
        }
    }
    setVidStsDataSource(j9) {
        let k9 = super.getCorePlayer();
        if (k9 instanceof ApsaraVideoPlayer) {
            if (j9 instanceof VidSts) {
                k9.setVidStsDataSource(j9);
            }
        }
    }
    setVidMpsDataSource(h9) {
        let i9 = super.getCorePlayer();
        if (i9 instanceof ApsaraVideoPlayer) {
            if (h9 instanceof VidMps) {
                i9.setVidMpsDataSource(h9);
            }
        }
    }
    setLiveStsDataSource(f9) {
        let g9 = super.getCorePlayer();
        if (g9 instanceof ApsaraVideoPlayer) {
            if (f9 instanceof LiveSts) {
                g9.setLiveStsDataSource(f9);
            }
        }
    }
    updateVidAuth(d9) {
        let e9 = super.getCorePlayer();
        if (e9 instanceof ApsaraVideoPlayer) {
            if (d9 instanceof VidAuth) {
                e9.updateVidAuth(d9);
            }
        }
    }
    updateStsInfo(b9) {
        let c9 = super.getCorePlayer();
        if (c9 instanceof ApsaraVideoPlayer) {
            if (b9 instanceof StsInfo) {
                c9.updateStsInfo(b9);
            }
        }
    }
}
