import { AVPLBase } from './AVPLBase';
import { Log } from '../utils/Log';
import { UrlVideoPlayer } from './UrlVideoPlayer';
import { OhosUrlListPlayer } from './nativeclass/OhosUrlListPlayer';
export class UrlVideoListPlayer extends AVPLBase {
    constructor(o40, p40) {
        super(o40, p40);
        this.mLog = new Log("NativePlayerBase_UrlVideoListPlayer");
        this.mUrlVideoPlayer = null;
        this.mUrlPrerenderPlayer = null;
    }
    createListPlayer(k40, l40, m40, n40) {
        return new OhosUrlListPlayer(k40, m40, n40, false);
    }
    getNativePlayerWithContext(i40, j40) {
        if (this.mUrlVideoPlayer == null) {
            this.mUrlVideoPlayer = new UrlVideoPlayer(i40, j40);
        }
        return this.mUrlVideoPlayer;
    }
    getPrerenderPlayerWithContext(g40, h40) {
        if (this.mUrlPrerenderPlayer == null) {
            this.mUrlPrerenderPlayer = new UrlVideoPlayer(g40, h40);
        }
        return this.mUrlPrerenderPlayer;
    }
    getCurrentPlayerIndex() {
        let f40 = super.getCorePlayer();
        if (f40 instanceof OhosUrlListPlayer) {
            this.mLog.info("getCurrentPlayerIndex");
            return f40.getCurrentPlayerIndex();
        }
        return -1;
    }
    getPreRenderPlayer() {
        let d40 = super.getCorePlayer();
        if (d40 instanceof OhosUrlListPlayer) {
            this.mLog.info("getPreRenderPlayer");
            let e40 = d40.getPreRenderPlayerIndex();
            return this.getCurrentPrerenderPlayer(e40);
        }
        return undefined;
    }
    addUrl(a40, b40) {
        let c40 = super.getCorePlayer();
        if (c40 instanceof OhosUrlListPlayer) {
            this.mLog.info("addUrl = " + a40 + " , uid = " + b40);
            c40.addUrl(a40, b40);
        }
    }
    moveToNext() {
        let z39 = super.getCorePlayer();
        if (z39 instanceof OhosUrlListPlayer) {
            this.mLog.info("moveToNext");
            return z39.moveToNext(false);
        }
        return false;
    }
    moveToNextWithPrerendered() {
        let y39 = super.getCorePlayer();
        if (y39 instanceof OhosUrlListPlayer) {
            this.mLog.info("moveToNextWithPrerendered");
            return y39.moveToNext(true);
        }
        return false;
    }
    moveToPrev() {
        let x39 = super.getCorePlayer();
        if (x39 instanceof OhosUrlListPlayer) {
            this.mLog.info("moveToPrev");
            return x39.moveToPrev();
        }
        return false;
    }
    moveTo(v39) {
        let w39 = super.getCorePlayer();
        if (w39 instanceof OhosUrlListPlayer) {
            this.mLog.info("moveTo");
            return w39.moveTo(v39);
        }
        return false;
    }
    setUrlDataSource(t39) {
        let u39 = super.getNativePlayer();
        if (u39.setUrlDataSource !== undefined) {
            u39.setUrlDataSource(t39);
        }
    }
}
