import { SourceBase } from './SourceBase';
import { Definition } from './Definition';
export class VidSourceBase extends SourceBase {
    constructor() {
        super();
        this.mPlayConfig = null;
        this.mOutputType = null;
        this.mStreamTypes = null;
        this.mResultType = null;
        this.nativeGetOutputTypeStr = () => {
            if (this.mOutputType == null) {
                return "";
            }
            else {
                return this.mOutputType.toString();
            }
        };
        this.nativeGetReAuthInfoStr = () => {
            return this.mReAuthInfo;
        };
        this.nativeGetResultTypeStr = () => {
            if (this.mResultType == null) {
                return "";
            }
            else {
                return this.mResultType;
            }
        };
        this.nativeGetStreamTypeStr = () => {
            if (this.mStreamTypes == null || this.mStreamTypes.size == 0) {
                return "";
            }
            let v38 = "";
            for (let w38 of this.mStreamTypes) {
                if (w38 != null) {
                    v38 += w38 + ",";
                }
            }
            if (v38.length > 0) {
                v38 = v38.slice(0, -1);
            }
            return v38;
        };
        this.nativeGetDefinitionStr = () => {
            if (this.mDefinitions == null || this.mDefinitions.length == 0) {
                return "";
            }
            if (this.mDefinitions.includes(Definition.DEFINITION_AUTO, 0)) {
                return Definition.DEFINITION_AUTO;
            }
            let t38 = "";
            for (let u38 of this.mDefinitions) {
                if (u38 != null) {
                    t38 += u38 + ",";
                }
            }
            if (t38.length > 0) {
                t38 = t38.slice(0, -1);
            }
            return t38;
        };
        this.nativeGetPlayerConfigStr = () => {
            if (this.mPlayConfig == null) {
                return "";
            }
            else {
                return this.mPlayConfig.genConfig();
            }
        };
        this.nativeGetFormatStr = () => {
            return this.getFormatStr();
        };
        this.nativeGetAuthTimeout = () => {
            return this.mAuthTimeout;
        };
        this.mFormats = [];
        this.mDefinitions = [];
        this.mReAuthInfo = "";
        this.mAuthTimeout = 3600;
    }
    getPlayerConfig() {
        if (this.mPlayConfig == null) {
            return "";
        }
        else {
            return this.mPlayConfig.genConfig();
        }
    }
    setPlayerConfig(k38) {
        this.mPlayConfig = k38;
    }
    getFormats() {
        return this.mFormats;
    }
    setFormats(j38) {
        this.mFormats = j38;
    }
    getFormatStr() {
        if (this.mFormats.length == 0) {
            return "";
        }
        let h38 = "";
        for (let i38 of this.mFormats) {
            if (i38 != null) {
                h38 += i38 + ",";
            }
        }
        if (h38.length > 0) {
            h38 = h38.slice(0, -1);
        }
        return h38;
    }
    setDefinition(g38) {
        this.mDefinitions = g38;
    }
    getOutputType() {
        return this.mOutputType;
    }
    setOutputType(f38) {
        this.mOutputType = f38;
    }
    setAuthTimeout(e38) {
        this.mAuthTimeout = e38;
    }
}
export var OutputType;
(function (d38) {
    d38["oss"] = "oss";
    d38["cdn"] = "cdn";
})(OutputType || (OutputType = {}));
export var StreamType;
(function (c38) {
    c38["video"] = "video";
    c38["audio"] = "audio";
})(StreamType || (StreamType = {}));
export var ResultType;
(function (b38) {
    b38["Single"] = "Single";
    b38["Multiple"] = "Multiple";
})(ResultType || (ResultType = {}));
