export class BaseRequest {
    constructor(d42) {
        this.wantStop = false;
        this.outerListener = null;
        this.outerListener = d42;
    }
    getSync() {
        this.runInBackground();
    }
    getAsync() {
        this.runInBackgroundAsync();
    }
    runInBackgroundAsync() {
        setTimeout(() => {
            this.runInBackground();
        }, 0);
    }
    stop() {
        this.wantStop = true;
        this.stopInner();
    }
    sendSuccessResult(a42, b42) {
        if (this.wantStop) {
            return;
        }
        if (this.outerListener) {
            this.outerListener.onSuccess(a42, b42);
        }
    }
    sendFailResult(x41, y41, z41) {
        if (this.wantStop) {
            return;
        }
        if (this.outerListener) {
            this.outerListener.onFail(x41, y41, z41);
        }
    }
    dealMsg(w41) {
        if (w41.id == BaseRequest.WHAT_SUCCESS) {
            this.outerListener?.onSuccess(w41.data, w41.extra);
        }
        else if (w41.id == BaseRequest.WHAT_FAIL) {
            this.outerListener?.onFail(w41.failCode, w41.data, w41.extra);
        }
    }
}
BaseRequest.WHAT_SUCCESS = 1;
BaseRequest.WHAT_FAIL = 0;
BaseRequest.DATA_KEY_EXTRA = "data_extra";
