import http from '@ohos.net.http';
import util from "@ohos.util";
export class HttpClientHelper {
    constructor(a43) {
        this.mReferer = null;
        this.urlRequest = null;
        this.mNetworkTimeout = HttpClientHelper.CONNECTION_TIMEOUT;
        this.mHttpProxy = null;
        this.mUserAgent = null;
        this.mCustomHeaders = [{}];
        this.mUrl = a43;
    }
    setRefer(z42) {
        this.mReferer = z42;
    }
    setTimeout(y42) {
        this.mNetworkTimeout = y42;
    }
    setHttpProxy(x42) {
        this.mHttpProxy = x42;
    }
    setUserAgent(w42) {
        this.mUserAgent = w42;
    }
    setCustomHeaders(v42) {
        this.mCustomHeaders = v42;
    }
    stop() {
        if (this.urlRequest != null) {
            setTimeout(() => {
                this.urlRequest?.destroy();
            }, 0);
        }
    }
    async doGet() {
        if (this.mUrl.startsWith("https://") || this.mUrl.startsWith("http://")) {
            this.urlRequest = http.createHttp();
        }
        else {
            return null;
        }
        if (this.urlRequest == null) {
            return null;
        }
        let h42 = [];
        if (this.mReferer != null) {
            h42.push({ 'Referer': this.mReferer });
        }
        if (this.mUserAgent != null) {
            h42.push({ 'User-Agent': this.mUserAgent });
        }
        if (this.mCustomHeaders.length > 0) {
            for (let t42 of this.mCustomHeaders) {
                if (t42 != null) {
                    h42.push(t42);
                }
            }
        }
        let i42 = "";
        let j42 = false;
        if (this.mHttpProxy != null) {
            i42 = this.mHttpProxy;
            j42 = true;
        }
        else {
            i42 = this.mUrl;
        }
        let k42 = {
            method: http.RequestMethod.GET,
            header: h42,
            connectTimeout: this.mNetworkTimeout,
            readTimeout: this.mNetworkTimeout,
            usingProxy: j42,
        };
        return new Promise((m42, n42) => {
            if (this.urlRequest == null) {
                m42(null);
                return;
            }
            this.urlRequest.request(i42, k42, (p42, q42) => {
                if (p42) {
                    console.error('error:' + JSON.stringify(p42));
                    this.urlRequest?.destroy();
                    m42(null);
                    return;
                }
                if (q42.responseCode == http.ResponseCode.OK) {
                    if (q42.resultType == http.HttpDataType.STRING) {
                        m42(q42.result);
                    }
                    else if (q42.resultType == http.HttpDataType.ARRAY_BUFFER) {
                        let r42 = util.TextDecoder.create('utf-8');
                        let s42 = r42.decodeToString(new Uint8Array(q42.result));
                        m42(s42 ? s42 : null);
                    }
                    else {
                        console.info("response failed, resultType: " + q42.resultType);
                        this.urlRequest?.destroy();
                        m42(null);
                    }
                }
                else {
                    console.info("response failed, responseCode is " + q42.responseCode);
                    this.urlRequest?.destroy();
                    m42(null);
                }
            });
        });
    }
}
HttpClientHelper.CONNECTION_TIMEOUT = 10000;
