import premierlibrary from 'libpremierlibrary.so';
export class Logger {
    constructor() {
        this.mValue = -1;
        this.mLogCallback = null;
        this.mEnableConsoleLog = true;
        this.mCurrentLogLevel = LogLevel.AF_LOG_LEVEL_INFO;
        this.nOnLogCallback = (u43, v43) => {
            let w43 = Logger.getLevel(u43);
            if (Logger.sAppContext != null) {
                Logger.getInstance(Logger.sAppContext).callback(w43, v43);
            }
        };
        premierlibrary.nLoggerConstruct(this);
    }
    static getInstance(s43) {
        if (Logger.sInstance == null) {
            Logger.sInstance = new Logger();
            Logger.sInstance.setLogLevel(LogLevel.AF_LOG_LEVEL_INFO);
            if (s43 != null) {
                Logger.sAppContext = s43;
            }
        }
        return Logger.sInstance;
    }
    setLogCallback(r43) {
        this.mLogCallback = r43;
    }
    getLogCallback() {
        return this.mLogCallback;
    }
    setLogLevel(q43) {
        this.mCurrentLogLevel = q43;
        premierlibrary.nLoggerSetLevel(q43);
    }
    setLogOption(o43, p43) {
        switch (o43) {
            case LogOption.FRAME_LEVEL_LOGGING_ENABLED:
                premierlibrary.nLoggerSetOption("frame_level_logging_enabled", p43);
                break;
        }
    }
    getLogLevel() {
        let n43 = premierlibrary.nLoggerGetLevel();
        return Logger.getLevel(n43);
    }
    enableConsoleLog(m43) {
        this.mEnableConsoleLog = m43;
        premierlibrary.nLoggerEnableConsole(m43);
    }
    callback(k43, l43) {
        if (this.mLogCallback != null) {
            this.mLogCallback.onLog(k43, l43);
        }
    }
    static getLevel(j43) {
        switch (j43) {
            case 0:
                return LogLevel.AF_LOG_LEVEL_NONE;
            case 8:
                return LogLevel.AF_LOG_LEVEL_FATAL;
            case 16:
                return LogLevel.AF_LOG_LEVEL_ERROR;
            case 24:
                return LogLevel.AF_LOG_LEVEL_WARNING;
            case 32:
                return LogLevel.AF_LOG_LEVEL_INFO;
            case 48:
                return LogLevel.AF_LOG_LEVEL_DEBUG;
            case 56:
                return LogLevel.AF_LOG_LEVEL_TRACE;
            default:
                return LogLevel.AF_LOG_LEVEL_DEBUG;
        }
    }
}
export var LogLevel;
(function (i43) {
    i43[i43["AF_LOG_LEVEL_NONE"] = 0] = "AF_LOG_LEVEL_NONE";
    i43[i43["AF_LOG_LEVEL_FATAL"] = 8] = "AF_LOG_LEVEL_FATAL";
    i43[i43["AF_LOG_LEVEL_ERROR"] = 16] = "AF_LOG_LEVEL_ERROR";
    i43[i43["AF_LOG_LEVEL_WARNING"] = 24] = "AF_LOG_LEVEL_WARNING";
    i43[i43["AF_LOG_LEVEL_INFO"] = 32] = "AF_LOG_LEVEL_INFO";
    i43[i43["AF_LOG_LEVEL_DEBUG"] = 48] = "AF_LOG_LEVEL_DEBUG";
    i43[i43["AF_LOG_LEVEL_TRACE"] = 56] = "AF_LOG_LEVEL_TRACE";
})(LogLevel || (LogLevel = {}));
export var LogOption;
(function (h43) {
    h43[h43["FRAME_LEVEL_LOGGING_ENABLED"] = 1] = "FRAME_LEVEL_LOGGING_ENABLED";
})(LogOption || (LogOption = {}));
